<?php
header('Content-Type: application/json');

include_once('../database/conn.php');
// Database operations
    $db = new DBConn();
    $conn = $db->getConnection();


// Set charset to utf8 for Bengali support
$conn->set_charset("utf8");

// Fetch advertisements
$sql = "SELECT email, image_path, created_at FROM advertisements ORDER BY created_at DESC";
$result = $conn->query($sql);

$advertisements = [];
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $advertisements[] = [
            'email' => $row['email'],
            'image_path' => $row['image_path'],
            'created_at' => $row['created_at']
        ];
    }
}

$conn->close();

echo json_encode([
    'success' => true,
    'advertisements' => $advertisements
]);
?>