<?php


require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getStudentTable2();

session_start();


if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $previousSchool = $_POST['previousSchool'];
    $previousClass = $_POST['previousClass'];
    $currentSchool = $_POST['currentSchool'];
    $currentClass = $_POST['currentClass'];

    $form_no = $_SESSION['form_no'];


    if (isset($form_no)) {

        $stmt = $conn->prepare("INSERT INTO $table (previous_school, previous_class, current_school, current_class, form_no) VALUES (?, ?, ?, ?, ?)");

        $stmt->bind_param("ssssi", $previousSchool, $previousClass, $currentSchool, $currentClass, $form_no);




        if ($stmt->execute()) {
            header("Location:  ../../add_students/student_office.php");
        } else {
            echo json_encode(['error' => $stmt->error]);
        }

        $stmt->close();
        $conn->close();


    } else {
        echo json_encode(['error' => 'No form id found']);
    }




} else {
    echo json_encode(['error' => 'Invalid request']);
}

?>