<?php

require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getStudentTable5();

session_start();


if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $boarding_fee = $_POST['boarding_fee'];
    $email = $_POST['email'];

    $form_no = $_SESSION['form_no'];


    if (isset($form_no)) {

        $stmt = $conn->prepare("INSERT INTO $table (boarding_fee, form_no, email) VALUES (?, ?, ?)");

        $stmt->bind_param("iss", $boarding_fee, $form_no, $email);


        if ($stmt->execute()) {
            header("Location:  ../../add_students/monthlyfee.php");
            echo json_encode(['error' => 'Complete the student informaions']);
        } else {
            echo json_encode(['error' => $stmt->error]);
        }

        $stmt->close();
        $conn->close();

    } else {
        echo json_encode(['error' => 'No form id found']);
    }


} else {
    echo json_encode(['error' => 'Invalid request']);
}


?>