<?php

require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getMadrashaTable();

if ( $_SERVER['REQUEST_METHOD'] === 'POST' ) {

    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $experience = $_POST['experience'];
    $qualification = $_POST['qualification'];
    $class_names = $_POST['class_names'];
    $head_name = $_POST['head_name'];
    $head_approval = $_POST['head_approval'];
    $director_name = $_POST['director_name'];
    $director_approval = $_POST['director_approval'];
    $dates = $_POST['dates'];
    $email = $_POST['email'];

    $sql = "INSERT INTO teacher (name, phone, experience, qualification, class_names,  head_name, head_approval, director_name, director_approval, dates, madrasha_email)
        VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = $conn->prepare( $sql );
    $stmt->bind_param( "sssssssssss", $name, $phone, $experience, $qualification, $class_names, $head_name, $head_approval, $director_name, $director_approval, $dates, $email );

    if ( $stmt->execute() ) {
        echo "শিক্ষক নিয়োগ দেয়া হয়েছে!";
    } else {
        echo "Error: " . $stmt->error;
    }

    $stmt->close();
    $conn->close();

} else {
    echo "Invalid request";
}

?>