<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admission Form-3</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/glubal.style.css">
</head>

<body>
    <div class="container mt-5">
        <div class="card p-4 shadow-lg myclass">
            <h2 class="mb-4 text-center text-success">ভর্তি ফর্ম</h2>
            <form action="../../db/students/create3.php" method="POST">
                <h4 class="text-danger">অফিস কর্তিক পূরণীয়</h4>
                <table class="table table-bordered">
                    <tr>
                        <td><label class="form-label">বার্ষিক পরীক্ষার ফলাফল</label><input type="text"
                                name="annual_exam_results" class="form-control"></td>
                        <td><label class="form-label">ভর্তি পরীক্ষার ফলাফল</label><input type="text"
                                name="admission_test_results" class="form-control"></td>
                    </tr>
                    <tr>
                        <td><label class="form-label">পরীক্ষকের নাম</label><input type="text" name="examiner_name"
                                class="form-control"></td>
                        <td><label class="form-label">মতামত</label><input type="text" name="examiner_opinion"
                                class="form-control"></td>
                    </tr>
                    <tr>
                        <td><label class="form-label">শিক্ষা বিভাগ প্রধানের নাম</label><input type="text"
                                name="head_name" class="form-control"></td>
                        <td colspan="2"><label class="form-label">অনুমোদন</label>
                            <select class="form-select" name="approval" required>
                                <option value="অনুমোদিত">অনুমোদিত</option>
                                <option value="অপেক্ষমান">অপেক্ষমান</option>
                                <option value="প্রত্যাখ্যাত">প্রত্যাখ্যাত</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td><label class="form-label">পরিচালকের নাম</label><input type="text" name="director_name"
                                class="form-control"></td>
                        <td colspan="2"><label class="form-label">অনুমোদন</label>
                            <label for="director_approval" class="form-label">অনুমোদন</label>
                            <select class="form-select" name="head_approval" required>
                                <option value="অনুমোদিত">অনুমোদিত</option>
                                <option value="অপেক্ষমান">অপেক্ষমান</option>
                                <option value="প্রত্যাখ্যাত">প্রত্যাখ্যাত</option>
                            </select>
                        </td>
                    </tr>
                </table>

                <button type="submit" class="btn btn-success w-100 mt-4">ফর্ম সাবমিট করুন</button>
            </form>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>