<?php


require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getClassesTable();



if ($_SERVER["REQUEST_METHOD"] == "POST") {

    $id = $_POST['id'];

    if (isset($id)) {

        // Prepare DELETE query
        $sql = "DELETE FROM $table WHERE classes_id = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("i", $id);

        if ($stmt->execute()) {
            echo "Record with ID No: " . $id . " has been deleted successfully.";
        } else {
            echo "Error deleting record: " . $conn->error;
        }

        $stmt->close();

    } else {
        echo "No id pused";
    }


}

$conn->close();
?>