<?php

require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getStudentTable3();

session_start();


if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $annual_exam_results = $_POST['annual_exam_results'];
    $admission_test_results = $_POST['admission_test_results'];
    $examiner_name = $_POST['examiner_name'];
    $examiner_opinion = $_POST['examiner_opinion'];
    $head_name = $_POST['head_name'];
    $approval = $_POST['approval'];
    $director_name = $_POST['director_name'];
    $director_approval = $_POST['director_approval'];

    $form_no = $_SESSION['form_no'];


    if (isset($form_no)) {

        $stmt = $conn->prepare("INSERT INTO $table (annual_exam_result, admission_exam_result, examiner_name, opinion, head_name, approval, director_name, director_approval, form_no) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");

        $stmt->bind_param("iisssssss", $annual_exam_results, $admission_test_results, $examiner_name, $examiner_opinion, $head_name, $approval, $director_name, $director_approval, $form_no);




        if ($stmt->execute()) {
            header("Location:  ../../add_students/admissionfee.php");
            echo json_encode(['error' => 'Complete the student informaions']);
        } else {
            echo json_encode(['error' => $stmt->error]);
        }

        $stmt->close();
        $conn->close();

    } else {
        echo json_encode(['error' => 'No form id found']);
    }




} else {
    echo json_encode(['error' => 'Invalid request']);
}


?>