<?php

require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();
$table = $db->getStudentTable6();

session_start();


if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $monthly_fee = $_POST['monthly_fee'];
    $email = $_POST['email'];
    $form_no = $_POST['form_no'];


    if (isset($form_no)) {

        $stmt = $conn->prepare("INSERT INTO $table (monthly_fee, form_no, email) VALUES (?, ?, ?)");

        $stmt->bind_param("iss", $monthly_fee, $form_no, $email);


        if ($stmt->execute()) {
            echo json_encode(['seccess' => 'Monthly salary has been paid.']);
        } else {
            echo json_encode(['error' => $stmt->error]);
        }

        $stmt->close();
        $conn->close();

    } else {
        echo json_encode(['error' => 'No form id found']);
    }


} else {
    echo json_encode(['error' => 'Invalid request']);
}


?>