<?php

require_once '../database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();



if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $exam_fee = $_POST['exam_fee'];
    $email = $_POST['email'];
    $form_no = $_POST['form_no'];


    if (isset($form_no)) {

        $stmt = $conn->prepare("INSERT INTO examfee (exam_fee, form_no, email) VALUES (?, ?, ?)");

        $stmt->bind_param("iss", $exam_fee, $form_no, $email);


        if ($stmt->execute()) {
            echo json_encode(['success' => 'Exam fee paid.']);
        } else {
            echo json_encode(['error' => $stmt->error]);
        }

        $stmt->close();
        $conn->close();

    } else {
        echo json_encode(['error' => 'No form id found']);
    }


} else {
    echo json_encode(['error' => 'Invalid request']);
}


?>