<?php


include_once "../db/database/conn.php";


$db = new DBConn();
$conn = $db->getConnection();



// ডিলিট করার জন্য ইমেইল নেওয়া
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id = $_POST['id'];


    // SQL ডিলিট কোয়েরি
    $sql = "DELETE FROM expense WHERE id = ?";

    // প্রিপেয়ার স্টেটমেন্ট ব্যবহার করা হচ্ছে SQL ইনজেকশন রোধে
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id);

    if ($stmt->execute()) {
        echo "খরচ আইটেমটি সফলভাবে ডিলিট হয়েছে।";
    } else {
        echo "ডিলিট করতে সমস্যা হয়েছে: " . $conn->error;
    }

    $stmt->close();
}

$conn->close();
?>