<!DOCTYPE html>
<html lang="bn">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>মাদ্রাসার ব্যয় খাত</title>
    <!-- Bootstrap CSS CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/glubal.style.css">
    <style>
        #detailsArea {
            display: none;
            margin-top: 15px;
        }
    </style>
</head>

<body>

<?php if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $email = $_POST['email'];
    }
    ?>

    <div class="container mt-5">
        <div class="card">
            <div class="card-header bg-primary text-white">
                <h2 class="mb-0">মাদ্রাসার ব্যয় খাত</h2>
            </div>
            <div class="card-body">
                <form action="expense_add.php" method="post">
                    <div class="mb-3">
                        
                        <select name="expense_head" id="expenseHead" class="form-select" onchange="toggleDetailsArea()">
                            <option value="">ব্যয় খাত নির্বাচন করুন:</option>
                            <option value="current_bill">কারেন্ট বিল</option>
                            <option value="building_market_cost">বুর্ডিং বাজার খরচ</option>
                            <option value="cylinder_gas">সিলিন্ডার গ্যাস ক্রয়</option>
                            <option value="waz_materials">ওয়াজের কোপন, পোষ্টার, হেমবিল, পেন্ডেল, মাইক</option>
                            <option value="official_expense">আনুষ্ঠানিক খরচ</option>
                            <option value="electronics_expenses">ইলেক্ট্রনিক্স খরচ</option>
                            <option value="guests_treatment">মেহমানদের আপ্যায়ন খরচ</option>
                            <option value="tabligh_jamat_treatment">তাবলীগ জামাতের আপ্যায়ন খরচ</option>
                            <option value="helth">ছাত্র চিকিৎসা ফি</option>
                            <option value="library">মাদ্রাসার লাইব্রেরী ম্যানেজিং খরচ</option>
                        </select>

                        <div id="detailsArea">
                            <textarea name="expense_details" class="form-control mt-3" rows="3" placeholder="বিস্তারিত লিখুন..."></textarea>
                        </div>
  
                        <input type="number" name="expense_ammount" class="form-control mb-3 mt-4" placeholder="পরিমাণ দিন" required>

                        <input type="datetime-local" name="date" class="form-control" required >

                        <input type="hidden" name="email" value="<?php echo $email;?>">
                    </div>
                    <button type="submit" class="btn btn-success w-100">জমা দিন</button>
                </form>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    
    <script>
        function toggleDetailsArea() {
            const expenseHead = document.getElementById('expenseHead');
            const detailsArea = document.getElementById('detailsArea');
            
            if (expenseHead.value !== '') {
                detailsArea.style.display = 'block';
            } else {
                detailsArea.style.display = 'none';
            }
        }
    </script>
</body>

</html>