<?php 


include_once ("../db/database/conn.php");

$db = new DBConn();
$conn = $db->getConnection();


session_start();

// POST রিকোয়েস্ট হলে ডাটা গ্রহণ
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // ফর্ম থেকে ডাটা সংগ্রহ
    $income_head    = $_POST['expense_head'];
    $income_ammount = $_POST['expense_ammount'];
    $expense_details = $_POST['expense_details'] ?? '';
    $date = $_POST["date"];

    $email = $_POST["email"];

    // SQL Injection এড়াতে Prepared Statement ব্যবহার করা
    $stmt = $conn->prepare("INSERT INTO expense (expense_head, expense_details, expense_ammount, created_at, madrasha_email) VALUES (?, ?, ?, ?, ?)");
    // ধরুন income_ammount একটি পূর্ণসংখ্যা (integer), যদি ভিন্ন ধরনের হয় তাহলে type পরিবর্তন করুন
    $stmt->bind_param("ssiss", $income_head, $expense_details, $income_ammount, $date, $email );

    // কুয়েরি এক্সিকিউট করা
    if ($stmt->execute()) {
        echo "Successfully added";
    } else {
        echo "Error: " . $stmt->error;
    }

    // স্টেটমেন্ট বন্ধ করা
    $stmt->close();
}

// সংযোগ বন্ধ করা
$conn->close();


?>