<?php
header('Content-Type: application/json');

include_once('../db/database/conn.php');

$db = new DBConn();
$conn = $db->getConnection();

// Get data from POST request
$form_no = isset($_POST['form_no']) ? $conn->real_escape_string($_POST['form_no']) : '';
$email = isset($_POST['email']) ? $conn->real_escape_string($_POST['email']) : '';
$amount = isset($_POST['amount']) ? floatval($_POST['amount']) : 0;

// Validate inputs
if (empty($form_no) || empty($email) || $amount <= 0) {
    echo json_encode(['success' => false, 'message' => 'Invalid input data']);
    exit;
}

// SQL query to insert data
$sql = "INSERT INTO payments (form_no, email, amount) 
        VALUES ('$form_no', '$email', '$amount')";

if ($conn->query($sql)) {
    echo json_encode(['success' => true, 'message' => 'Data saved successfully']);
} else {
    echo json_encode(['success' => false, 'message' => 'Error: ' . $conn->error]);
}

$conn->close();
?>