<?php

include_once('../db/database/conn.php');

$db = new DBConn();
$conn = $db->getConnection();



if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the data from the POST request
    $class_name = $_POST['class_name'];
    $exam_name = $_POST['exam_name'];
    $exam_date = $_POST['exam_date'];



    // Prepare the SQL query to delete the relevant records
    $stmt = $conn->prepare("DELETE FROM exam_results WHERE class_name = ? AND exam_name = ? AND exam_date = ?");
    $stmt->bind_param("sss", $class_name, $exam_name, $exam_date);

    if ($stmt->execute()) {
        echo "Table deleted successfully!";
    } else {
        echo "Error deleting table: " . $conn->error;
    }

    $stmt->close();
    $conn->close();
}
?>
