<?php
include_once '../db/database/conn.php';

$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $madrasha_email = $_POST['email'];

    $sql = "SELECT classes_id AS id, name FROM classes WHERE madrasha_email = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $madrasha_email);
    $stmt->execute();
    $result = $stmt->get_result();

    $classes = [];

    while ($row = $result->fetch_assoc()) {
        $classes[] = [
            "id" => $row['id'],
            "name" => $row['name']
        ];
    }

    echo json_encode($classes);
    $stmt->close();
    $conn->close();
} else {
    echo json_encode(["error" => "Invalid request"]);
}
