<?php
include_once("../db/database/conn.php");
$db = new DBConn();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = $_POST['email'];

    $result = $conn->query("SELECT * FROM returnmony WHERE madrasha_email = '$email' ORDER BY id DESC");

    // Calculate total items and total amount
    $totalItems = 0;
    $totalAmount = 0;

    while ($row = $result->fetch_assoc()) {
        $totalItems++;
        $totalAmount += (float) $row["return_ammount"];
    }

    // Reset result pointer
    $result->data_seek(0);
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Return Money Records</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        :root {
            --primary-color: #4361ee;
            --secondary-color: #3f37c9;
            --success-color: #4cc9f0;
            --danger-color: #f72585;
            --light-color: #f8f9fa;
            --dark-color: #212529;
            --border-radius: 8px;
            --box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: var(--dark-color);
            background-color: #f5f7fa;
            padding: 0;
            margin: 0;
        }

        .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
        }

        .header {
            text-align: center;
            margin-bottom: 30px;
            position: relative;
        }

        .header h2 {
            font-size: 2.2rem;
            color: var(--secondary-color);
            margin-bottom: 10px;
            font-weight: 700;
            position: relative;
            display: inline-block;
        }

        .header h2::after {
            content: '';
            position: absolute;
            bottom: -10px;
            left: 50%;
            transform: translateX(-50%);
            width: 80px;
            height: 4px;
            background: var(--success-color);
            border-radius: 2px;
        }

        .stats-bar {
            background: white;
            border-radius: var(--border-radius);
            padding: 20px;
            margin-bottom: 30px;
            box-shadow: var(--box-shadow);
            display: flex;
            justify-content: space-around;
            flex-wrap: wrap;
            gap: 20px;
            position: sticky;
            top: 0;
            z-index: 100;
            backdrop-filter: blur(5px);
            background-color: rgba(255, 255, 255, 0.9);
        }

        .stat-item {
            text-align: center;
            flex: 1;
            min-width: 200px;
        }

        .stat-item h5 {
            font-size: 1.1rem;
            color: var(--dark-color);
            margin-bottom: 8px;
            font-weight: 600;
        }

        .stat-badge {
            display: inline-block;
            padding: 8px 16px;
            border-radius: 20px;
            font-size: 1.1rem;
            font-weight: 600;
        }

        .badge-primary {
            background-color: var(--primary-color);
            color: white;
        }

        .badge-success {
            background-color: var(--success-color);
            color: var(--dark-color);
        }

        .cards-container {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 25px;
            margin-top: 20px;
        }

        .card {
            background: white;
            border-radius: var(--border-radius);
            overflow: hidden;
            box-shadow: var(--box-shadow);
            transition: var(--transition);
            border: none;
        }

        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
        }

        .card-body {
            padding: 25px;
            position: relative;
        }

        .card-title {
            font-size: 1.3rem;
            color: var(--secondary-color);
            margin-bottom: 15px;
            font-weight: 600;
            border-bottom: 2px solid #f0f0f0;
            padding-bottom: 10px;
        }

        .card-text {
            margin-bottom: 12px;
            font-size: 0.95rem;
        }

        .card-text strong {
            color: var(--primary-color);
            font-weight: 600;
        }

        .delete-form {
            margin-top: 20px;
        }

        .delete-btn {
            width: 100%;
            padding: 10px;
            border: none;
            border-radius: var(--border-radius);
            background-color: var(--danger-color);
            color: white;
            font-weight: 600;
            cursor: pointer;
            transition: var(--transition);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 8px;
        }

        .delete-btn:hover {
            background-color: #d11467;
            transform: translateY(-2px);
        }

        .no-records {
            text-align: center;
            grid-column: 1 / -1;
            padding: 40px;
            background: white;
            border-radius: var(--border-radius);
            box-shadow: var(--box-shadow);
        }

        .no-records p {
            font-size: 1.2rem;
            color: var(--danger-color);
        }

        @media (max-width: 768px) {
            .cards-container {
                grid-template-columns: 1fr;
            }

            .stats-bar {
                flex-direction: column;
                gap: 15px;
            }

            .stat-item {
                min-width: 100%;
            }
        }

        /* Animation */
        @keyframes fadeIn {
            from { opacity: 0; transform: translateY(20px); }
            to { opacity: 1; transform: translateY(0); }
        }

        .card {
            animation: fadeIn 0.5s ease forwards;
            opacity: 0;
        }

        .card:nth-child(1) { animation-delay: 0.1s; }
        .card:nth-child(2) { animation-delay: 0.2s; }
        .card:nth-child(3) { animation-delay: 0.3s; }
        .card:nth-child(4) { animation-delay: 0.4s; }
        .card:nth-child(5) { animation-delay: 0.5s; }
        .card:nth-child(6) { animation-delay: 0.6s; }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <h2>Return Money Records</h2>
        </div>

        <!-- Statistics Section -->
        <div class="stats-bar">
            <div class="stat-item">
                <h5>মোট আইটেম</h5>
                <span class="stat-badge badge-primary"><?= $totalItems ?></span>
            </div>
            <div class="stat-item">
                <h5>মোট ফেরত টাকা</h5>
                <span class="stat-badge badge-success"><?= number_format($totalAmount, 2) ?> টাকা</span>
            </div>
        </div>

        <div class="cards-container">
            <?php
            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
            ?>
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><?= htmlspecialchars($row["return_head"]) ?></h5>
                            <p class="card-text"><strong>Amount:</strong> <?= htmlspecialchars($row["return_ammount"]) ?> টাকা</p>
                            <p class="card-text"><strong>সময়:</strong> <?= htmlspecialchars($row["created_at"]) ?></p>
                            <p class="card-text"><strong>Madrasha Email:</strong> <?= htmlspecialchars($row["madrasha_email"]) ?> </p>

                            <!-- Delete Form -->
                            <form class="delete-form" action="delete.php" method="POST" onsubmit="return confirm('আপনি কি নিশ্চিতভাবে এই আইটেমটি মুছতে চান?')">
                                <input type="hidden" name="id" value="<?= $row['id'] ?>">
                                <button type="submit" class="delete-btn">
                                    <i class="fas fa-trash-alt"></i> ডিলিট
                                </button>
                            </form>
                        </div>
                    </div>
            <?php
                }
            } else {
                echo '<div class="no-records"><p>No records found.</p></div>';
            }
            ?>
        </div>
    </div>

    <script>
        // Simple confirmation for delete
        document.querySelectorAll('.delete-form').forEach(form => {
            form.addEventListener('submit', function(e) {
                if (!confirm('আপনি কি নিশ্চিতভাবে এই আইটেমটি মুছতে চান?')) {
                    e.preventDefault();
                }
            });
        });
    </script>
</body>

</html>